LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XVndSunStarExpandUrl Interface Referencepublished

represents absolute “vnd.sun.star.expand” URLs. More...

`import"XVndSunStarExpandUrl.idl";`

Inheritance diagram for XVndSunStarExpandUrl:

## Public Member Functions
string | expand ([in] com::sun::star::util::XMacroExpander expander) raises (com::sun::star::lang::IllegalArgumentException)
| returns the expanded content of this URL. More...

## Detailed Description

represents absolute “vnd.sun.star.expand” URLs.

These URLs are of the form
vnd-sun-star-expand-url = `"VND.SUN.STAR.EXPAND:"` opaque_part
where the opaque_part is an UTF-8 string as described in Bootstrap Arguments and Micro Deployment. See RFC 2396, RFC 2732, and RFC 2234 for details.

Since
  OOo 2.3

## Member Function Documentation

string expand | ( | [in] com::sun::star::util::XMacroExpander | expander | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

returns the expanded content of this URL.

Parameters

  expander | a macro expander; must not be `NULL`.

Returns
  the expanded content of this URL.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if calling com::sun::star::util::XMacroExpander::expandMacros() on `expander` raises any such exception.

The documentation for this interface was generated from the following file:

- com/sun/star/uri/XVndSunStarExpandUrl.idl